# PIP: PIEthernet::Interface Struct Reference

PIEthernet::Interface Struct Reference

Network interface descriptor. More...

## Public Member Functions

bool | isActive () const
| Returns if interface is active.
bool | isRunning () const
| Returns if interface is running.
bool | isBroadcast () const
| Returns if interface support broadcast.
bool | isMulticast () const
| Returns if interface support multicast.
bool | isLoopback () const
| Returns if interface is loopback.
bool | isPTP () const
| Returns if interface is point-to-point.

## Public Attributes

int | index
| System index.
int | mtu
| MTU.
PIString | name
| System name.
PIString | mac
| MAC address in format "hh:hh:hh:hh:hh:hh" or empty if there is no MAC address.
PIString | address
| IP address in format "i.i.i.i" or empty if there is no IP address.
PIString | netmask
| Netmask of IP address in format "i.i.i.i" or empty if there is no netmask.
PIString | broadcast
| Broadcast address in format "i.i.i.i" or empty if there is no broadcast address.
PIString | ptp
| Point-to-point address or empty if there is no point-to-point address.
InterfaceFlags | flags
| Flags of interface.

## Detailed Description

Network interface descriptor.